# Class PersistentProviderRegistrations.Property

java.lang.Object
org.apache.catalina.authenticator.jaspic.PersistentProviderRegistrations.Property

Enclosing class:
  `PersistentProviderRegistrations`

public static class PersistentProviderRegistrations.Property extends Object
Represents a name-value property within a JASPIC provider registration.

## Constructor Summary

Constructors
Constructor
Description
`Property()`
Constructs a new Property instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the name of the property.
`String`
`getValue()`
Returns the value of the property.
`void`
`setName(String name)`
Sets the name of the property.
`void`
`setValue(String value)`
Sets the value of the property.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Property

public Property()
Constructs a new Property instance.

## Method Details

### getName

public String getName()
Returns the name of the property.

Returns:
  the name

### setName

public void setName(String name)
Sets the name of the property.

Parameters:
  `name` - the name

### getValue

public String getValue()
Returns the value of the property.

Returns:
  the value

### setValue

public void setValue(String value)
Sets the value of the property.

Parameters:
  `value` - the value